apiVersion: skaffold/v4beta11
kind: Config
metadata:
  name: istio-kubernetes-best-friend
build:
  artifacts:
    - image: registry.gitlab.com/davinkevin.fr/presentations/istio-kubernetes-best-friend/database
      jib:
        project: app:database
    - image: registry.gitlab.com/davinkevin.fr/presentations/istio-kubernetes-best-friend/frontend
      jib:
        project: app:frontend
    - image: registry.gitlab.com/davinkevin.fr/presentations/istio-kubernetes-best-friend/middleware
      jib:
        project: app:middleware
manifests:
  kustomize:
    paths:
      - k8s/app/overlays/05-traffic-splitting/02-50-50

deploy:
  kubectl: {}
